flex.messaging.endpoints.amf
Class SuspendableSerializationFilter

java.lang.Object
  extended by flex.messaging.endpoints.amf.SuspendableAMFFilter
      extended by flex.messaging.endpoints.amf.SuspendableSerializationFilter

public class SuspendableSerializationFilter
extends SuspendableAMFFilter

Filter for serializing and deserializing AMF. This implementation will never suspend the chain and performs no internal synchronization.


Field Summary
 
Fields inherited from class flex.messaging.endpoints.amf.SuspendableAMFFilter
DIRECTION_INBOUND, DIRECTION_OUTBOUND
 
Constructor Summary
SuspendableSerializationFilter(String logCategory, SerializationContext serializationContext, TypeMarshaller typeMarshaller)
          Constructs a SuspendableSerializationFilter.
 
Method Summary
 int getContentLength()
          Returns the number of bytes that the InputStream contains.
 InputStream getInputStream()
          Returns the InputStream currently assigned to this filter that will be used to read message bytes from.
 void setContentLength(int value)
          Sets the number of bytes that the InputStream contains.
 void setInputStream(InputStream value)
          Sets the InputStream to read message bytes from.
 
Methods inherited from class flex.messaging.endpoints.amf.SuspendableAMFFilter
buildChain, getContext, getDirection, getNext, getPrevious, getSuspendedFilter, invoke, isInboundAborted, isSuspended, resume, setContext, setDirection, setInboundAborted, setNext, setPrevious, setSuspendedFilter
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

SuspendableSerializationFilter

public SuspendableSerializationFilter(String logCategory,
                                      SerializationContext serializationContext,
                                      TypeMarshaller typeMarshaller)
Constructs a SuspendableSerializationFilter. Accepts an optional log category to use, to support logging under a specific endpoint's log category rather than the general endpoint log category.

Parameters:
logCategory - A specific endpoint log category to use.
serializationContext - The serialization context to use for inbound and outbound serialization and deserialization.
typeMarshaller - The type marshalling context to use for inbound and outbound serialization and deserialization.
Method Detail

getInputStream

public InputStream getInputStream()
Returns the InputStream currently assigned to this filter that will be used to read message bytes from.


setInputStream

public void setInputStream(InputStream value)
Sets the InputStream to read message bytes from.


getContentLength

public int getContentLength()
Returns the number of bytes that the InputStream contains.


setContentLength

public void setContentLength(int value)
Sets the number of bytes that the InputStream contains. The InputStream does not provide a convenient way to track total bytes read so this property is provided to allow the content length to be assigned along with the stream containing the content. The stream generally wraps an Http request body, which is a finite byte array of known length.



Copyright © 2008 Adobe Systems Inc. All Rights Reserved.

 

Send me an e-mail when comments are added to this page | Comment Report

Current page: http://livedocs.adobe.com/blazeds/1/javadoc/flex/messaging/endpoints/amf/SuspendableSerializationFilter.html